Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047037
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Restaurantsmajoralways2021-06-09 11:482021-06-22 09:01
Reportertimothee_catteeuwView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned TojavierRodriguez
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047037: JIRA 1925 - Proof of payment - Amount by default

DescriptionThis issue comes from a Jira opened by agapes and I think it make sense for the user when he has to do a proof a payment with the total amount of the ticket
Actually when you select this use case regarding the proof of payment :
POP FILLED IN

The amount by default is 0, the request is to put the total amount of the ticket by default.

From agapes point of view is a bug because they generate most of their time, this kind of POP.
Steps To ReproduceSteps to reproduce :

go POP MENU

Select a POP AMOUNT FILLED IN

The amount is equal to 0 by default
Proposed SolutionThe proposed solution for this is to put the available ticket amount on input

For Example:
1) I created a order of 200€ and I pay it completely
2) I load the previous order created and I navigate to Proof Of Payment Flow
3) I open the Fill In Amount popup and the input should show 200€
4) I created a pop of 50€
5) I open again the Fill In Amount popup and the input should saw 150€
6) I created a pop of 100€
7) I open again the Fill In Amount popup and the input should saw 50€
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047040TAP closedjorge-garcia JIRA 1925 - Proof of payment - Amount by default 

-  Notes
(0129531)
hgbot (developer)
2021-06-16 06:23

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/560 [^]
(0129607)
hgbot (developer)
2021-06-17 12:28

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/560 [^]
(0129610)
hgbot (developer)
2021-06-17 13:20

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/563 [^]
(0129702)
hgbot (developer)
2021-06-22 09:01

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: a25b99d1c4a4270a419cab06dfd8e9cb7a23d679
Author: Jorge Garcia <jorge.garcia@openbravo.com>
Date: 2021-06-21T08:28:14+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/a25b99d1c4a4270a419cab06dfd8e9cb7a23d679 [^]

Fixed ISSUE-47037: Use remaining ticket amount in FIll In Amount dialog input

Updated tests and solve a small problem with checkRoundingPops function

---
M web-jspack/org.openbravo.pos2/src/components/ProofOfPayment/ProofOfPaymentHeader/ProofOfPaymentFillConfigDialog/ProofOfPaymentFillConfigDialogContent/ProofOfPaymentFillConfigDialogContent.jsx
M web-jspack/org.openbravo.pos2/src/components/ProofOfPayment/ProofOfPaymentHeader/ProofOfPaymentFillConfigDialog/__test__/ProofOfPaymentFillConfigDialog.test.jsx
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/__test__/CheckRoundingPops.test.js
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/__test__/mock/mockPop.js
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/utils/CheckRoundingPops.js
---
(0129703)
hgbot (developer)
2021-06-22 09:01

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/563 [^]

- Issue History
Date Modified Username Field Change
2021-06-09 11:48 timothee_catteeuw New Issue
2021-06-09 11:48 timothee_catteeuw Assigned To => Retail
2021-06-09 11:48 timothee_catteeuw Triggers an Emergency Pack => No
2021-06-09 11:58 dmiguelez Type design defect => feature request
2021-06-09 12:01 dmiguelez Status new => scheduled
2021-06-09 12:01 dmiguelez Status scheduled => acknowledged
2021-06-14 09:47 guilleaer Type feature request => defect
2021-06-14 09:48 guilleaer Target Version TAP =>
2021-06-15 16:52 dmiguelez Status acknowledged => scheduled
2021-06-15 16:52 dmiguelez Assigned To Retail => prakashmurugesan88
2021-06-16 06:23 hgbot Note Added: 0129531
2021-06-16 12:21 jorge-garcia Proposed Solution updated
2021-06-16 18:08 dmiguelez Assigned To prakashmurugesan88 => jorge-garcia
2021-06-17 12:28 hgbot Note Added: 0129607
2021-06-17 13:20 hgbot Note Added: 0129610
2021-06-17 13:21 jorge-garcia Review Assigned To => javierRodriguez
2021-06-22 09:01 hgbot Resolution open => fixed
2021-06-22 09:01 hgbot Status scheduled => closed
2021-06-22 09:01 hgbot Note Added: 0129702
2021-06-22 09:01 hgbot Note Added: 0129703


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker